10de:0de1 [Gigabyte P35-DS3] Resume from Standby mode doesn't work with Nouveau

Bug #1084960 reported by Jan Rathmann on 2012-11-30
130
This bug affects 26 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
xserver-xorg-video-nouveau (Ubuntu)
High
Unassigned

Bug Description

Hello,

if I'm using the Nouveau driver with my graphics board (Geforce GT430), standby mode (a.k.a. suspend-to-ram) does not work.

Going into standby mode itself works, but when I turn my PC back on, the monitor shows just a kind of colorful "noise" with the usual mouse cursor (the cursor itself is displayed properly). Sometimes it's possible to move the cursor a bit, but the system can't be used anymore and has to rebooted with the Alt+Print+b keycombo.

This also happens on Quantal when I use the Nouveau driver.

WORKAROUND: The propritary Nvidia driver works fine.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xserver-xorg-video-nouveau 1:1.0.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.7.0-3.9-generic 3.7.0-rc6
Uname: Linux 3.7.0-3-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.6.2-0ubuntu5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
Date: Fri Nov 30 10:34:21 2012
DistUpgraded: Fresh install
DistroCodename: raring
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard: NVIDIA Corporation GF108 [GeForce GT 430] [10de:0de1] (rev a1) (prog-if 00 [VGA controller])
InstallationDate: Installed on 2012-11-26 (4 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20121126)
MachineType: Gigabyte Technology Co., Ltd. P35-DS3
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-3-generic root=/dev/mapper/internal--hdd-test1 ro quiet splash
SourcePackage: xserver-xorg-video-nouveau
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/10/2008
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F13
dmi.board.name: P35-DS3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF13:bd07/10/2008:svnGigabyteTechnologyCo.,Ltd.:pnP35-DS3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnP35-DS3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: P35-DS3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.8.4+bzr3412-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.40-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0.1-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0.1-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.0-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.0.0-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.14-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.4-0ubuntu1
xserver.bootTime: Fri Nov 30 10:33:12 2012
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input Logitech USB Laser Mouse MOUSE, id 8
 input AT Translated Set 2 keyboard KEYBOARD, id 9
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.0-0ubuntu8
xserver.video_driver: nouveau

Jan Rathmann (kaiserclaudius) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Confirmed
Jan Rathmann (kaiserclaudius) wrote :

I have tested the latest upstream kernel 3.8-rc1, the bug is also present there. However I'm not completely shure whether this is bug in the kernel or in the xorg-driver.

Jan Rathmann (kaiserclaudius) wrote :

I have added the kernel-bug-exists-upstream tag, since testing with Fedora 18 showed the same behaviour, so this seems to be an upstream bug.

tags: added: kernel-bug-exists-upstream
Maarten Lankhorst (mlankhorst) wrote :

Suspend problems are usually a kernel bug, but our nouveau bugs are filed against xserver-xorg-video-nouveau, so it's ok to have the bug filed against that. :-)

Can confirm on my GTX 480 too.

Bryce Harrington (bryce) on 2013-02-19
Changed in xserver-xorg-video-nouveau (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu):
importance: Undecided → High
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Confirmed → Triaged

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1084960

tags: added: package-qa-testing
Mdavies5 (mdavies5) wrote :

With 13.04 and NVidia Gt7950 I get similar behaviour. With NV drivers I get a blank screen after resume and can only reboot by reset switch. Nouveau drivers work better. After resume I get the "Unlock" screen but I have no mouse or keyboard activity. I can overcome by selecting "Switch User" and then logging as normal. Her is output from Xorg.log and Sys.Log:
ubuntu13 kernel: [22737.042940] 6:3:1: cannot get freq at ep 0x84

3280.682] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 3280.682] (II) NOUVEAU(0): NVLeaveVT is called.
[ 3287.568] (II) Open ACPI successful (/var/run/acpid.socket)
[ 3287.568] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 3287.568] (II) NOUVEAU(0): NVEnterVT is called.
[ 3287.664] (II) NOUVEAU(0): EDID vendor "SAM", prod id 997
[ 3287.664] (II) NOUVEAU(0): Using hsync ranges from config file
[ 3287.664] (II) NOUVEAU(0): Using vrefresh ranges from config file
[ 3287.664] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[ 3287.664] (II) NOUVEAU(0): Modeline "1680x1050"x0.0 119.00 1680 1728 1760 1840 1050 1053 1059 1080 +hsync -vsync (64.7 kHz eP)

Timo Aaltonen (tjaalton) on 2013-05-02
summary: - Resume from Standby mode doesn't work with Nouveau on Geforce GT430
+ Resume from Standby mode doesn't work with Nouveau

Same problem after kernel 3.8. With raring and now with saucy too. NVidia driver works fine.

the_one(2) (sniper-rifle86) wrote :

Similar problem for me as well on ubuntu 13.04 with a Geforce 310M.

madbiologist (me-again) on 2013-06-08
summary: - Resume from Standby mode doesn't work with Nouveau
+ [GeForce GT 430] Resume from Standby mode doesn't work with Nouveau

For chips from the NVC0 family (GeForce/GT/GTS/GTX 4xx/5xx) this should be fixed upstream in kernel 3.10 by commit 6d5f83834dc2b064b8c1202ea281820286b675a8 and in the stable kernel 3.9.5 by this commit:

commit 44f781d513619ed4b6e6a1545d912b2733f65cce
Author: Ben Skeggs
Date: Mon May 13 16:11:12 2013 +1000

    drm/nvc0/ce: disable ce1 on a number of chipsets

    commit 6d5f83834dc2b064b8c1202ea281820286b675a8 upstream.

    The falcon is present, but the rest of the copy engine doesn't appear to
    be... PUNITS doesn't report disabled (maybe the bits for the copy engines
    got added later?), so we end up trying to use a non-functional CE1, and
    bust all sorts of things.. Most notably, suspend/resume..

    Signed-off-by: Ben Skeggs
    Signed-off-by: Lingzhu Xiang
    Signed-off-by: Greg Kroah-Hartman

@madbiologist
Thanks for the hint, but for me (on Geforce GT 430) resuming from
suspend still doesn't work, even with kernel 3.10.rc-4 on Saucy.

Am 08.06.2013 12:33, schrieb madbiologist:
> For chips from the NVC0 family (GeForce/GT/GTS/GTX 4xx/5xx) this should
> be fixed upstream in kernel 3.10 by commit
> 6d5f83834dc2b064b8c1202ea281820286b675a8 and in the stable kernel 3.9.5
> by this commit:
>
> commit 44f781d513619ed4b6e6a1545d912b2733f65cce
> Author: Ben Skeggs
> Date: Mon May 13 16:11:12 2013 +1000
>
> drm/nvc0/ce: disable ce1 on a number of chipsets
>
> commit 6d5f83834dc2b064b8c1202ea281820286b675a8 upstream.
>
> The falcon is present, but the rest of the copy engine doesn't appear to
> be... PUNITS doesn't report disabled (maybe the bits for the copy engines
> got added later?), so we end up trying to use a non-functional CE1, and
> bust all sorts of things.. Most notably, suspend/resume..
>
> Signed-off-by: Ben Skeggs
> Signed-off-by: Lingzhu Xiang
> Signed-off-by: Greg Kroah-Hartman
>

I see this too in Ubuntu 13.10 with a GeForce GT 650 M (on a MacBookPro9,1).

Michael Mercier (mickours) wrote :

Same problem here with a GeForce 310M using Arch Linux.

lspci:
...
NVIDIA Corporation GT218M [GeForce 310M] (rev a2)
...
uname -r
3.9.4-1-ARCH

 xf86-video-nouveau
Version : 1.0.7-1
nouveau-dri
Version : 9.1.3-1

Emersion (emersion) wrote :

Same problem in Ubuntu 13.04 with a NVIDIA Corporation G98 [GeForce 8400 GS Rev. 2] (rev a1)

Same problem here with Nvidia GeForce 8800 GTS using nouveau drivers on Ubuntu 13.04.

lspci:
...
NVIDIA Corporation G92 [GeForce 8800 GTS 512] (rev a2)
...

uname -r:
3.8.0-25-generic

summary: - [GeForce GT 430] Resume from Standby mode doesn't work with Nouveau
+ 10de:0de1 [GeForce GT 430] Resume from Standby mode doesn't work with
+ Nouveau

Jan Rathmann, as per http://www.gigabyte.com/products/product-page.aspx?pid=2748#bios an update is available for your BIOS (F14). If you update to this, does it change anything?

If not, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Thank you for your understanding.

description: updated
tags: added: bios-outdated-f14 needs-upstream-testing quantal regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jan Rathmann (kaiserclaudius) wrote :

@Christopher
BIOS update is a risky operation that I would rather like to avoid. In addition, the only change noted for that particular update is "Support Xpress BIOS Rescue function", so it seems to me that this update will just add that described functionality and not fix any possible bugs (at least there is no hint that it contains any bugfixes) and thus could not have any positive effect on this bug.

My current output of "sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date" is:

F13
07/10/2008

Kind regards,
Jan

Adam Dingle (adam-yorba) wrote :

I'm running Nouveau on Ubuntu 13.10 on a MacBookPro9,1 with a GeForce GT 650 M. 13.10 now has this kernel:

$ uname -a
Linux cloth 3.11.0-2-generic #5-Ubuntu SMP Mon Aug 12 16:09:51 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
$

Unfortunately I still can't resume from suspend: I see the same symptoms that Jan described above. So I don't believe this was fixed in the 3.10 kernel as madbiologist suggested above.

suokunlong (suokunlong) wrote :

Same problem with Nouveau driver on Ubuntu 13.04 and Ubuntu 13.10 release.

When install "nvidia-current" driver everything goes fine.

NVIDIA Corporation G86M [Quadro NVS 140M], IBM R61i.

suokunlong, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

summary: - 10de:0de1 [GeForce GT 430] Resume from Standby mode doesn't work with
+ 10de:0de1 [Gigabyte P35-DS3] Resume from Standby mode doesn't work with
Nouveau
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers